/**
 * 员工
 *
 * @export
 * @interface HREmployee
 */
export interface HREmployee {

    /**
     * 员工姓名
     *
     * @returns {*}
     * @memberof HREmployee
     */
    employeename?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HREmployee
     */
    updateman?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HREmployee
     */
    createman?: any;

    /**
     * 员工标识
     *
     * @returns {*}
     * @memberof HREmployee
     */
    employeeid?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HREmployee
     */
    updatedate?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HREmployee
     */
    createdate?: any;

    /**
     * 组织ID
     *
     * @returns {*}
     * @memberof HREmployee
     */
    organizationid?: any;

    /**
     * 员工编号
     *
     * @returns {*}
     * @memberof HREmployee
     */
    employeecode?: any;

    /**
     * 证件类型
     *
     * @returns {*}
     * @memberof HREmployee
     */
    certtype?: any;

    /**
     * 证件号码
     *
     * @returns {*}
     * @memberof HREmployee
     */
    certnum?: any;

    /**
     * 出生日期
     *
     * @returns {*}
     * @memberof HREmployee
     */
    birthday?: any;

    /**
     * 年龄
     *
     * @returns {*}
     * @memberof HREmployee
     */
    age?: any;

    /**
     * 单位
     *
     * @returns {*}
     * @memberof HREmployee
     */
    organizationname?: any;

    /**
     * 性别
     *
     * @returns {*}
     * @memberof HREmployee
     */
    sex?: any;

    /**
     * 血型
     *
     * @returns {*}
     * @memberof HREmployee
     */
    bloodtype?: any;

    /**
     * 固定电话
     *
     * @returns {*}
     * @memberof HREmployee
     */
    telephone?: any;

    /**
     * 移动电话
     *
     * @returns {*}
     * @memberof HREmployee
     */
    mobile?: any;

    /**
     * 电子邮箱
     *
     * @returns {*}
     * @memberof HREmployee
     */
    email?: any;

    /**
     * 婚姻状况
     *
     * @returns {*}
     * @memberof HREmployee
     */
    marriage?: any;

    /**
     * 民族
     *
     * @returns {*}
     * @memberof HREmployee
     */
    nation?: any;

    /**
     * 户口类型
     *
     * @returns {*}
     * @memberof HREmployee
     */
    nativetype?: any;

    /**
     * 户籍地址
     *
     * @returns {*}
     * @memberof HREmployee
     */
    nativeaddress?: any;

    /**
     * 出生地
     *
     * @returns {*}
     * @memberof HREmployee
     */
    birthaddress?: any;

    /**
     * 通讯地址
     *
     * @returns {*}
     * @memberof HREmployee
     */
    postaladdress?: any;

    /**
     * 爱好特长
     *
     * @returns {*}
     * @memberof HREmployee
     */
    hobby?: any;

    /**
     * 健康状况
     *
     * @returns {*}
     * @memberof HREmployee
     */
    health?: any;

    /**
     * 政治面貌
     *
     * @returns {*}
     * @memberof HREmployee
     */
    political?: any;

    /**
     * 参加工作时间
     *
     * @returns {*}
     * @memberof HREmployee
     */
    startworktime?: any;

    /**
     * 到本单位时间
     *
     * @returns {*}
     * @memberof HREmployee
     */
    startorgtime?: any;

    /**
     * 照片
     *
     * @returns {*}
     * @memberof HREmployee
     */
    photo?: any;

    /**
     * 第一学历
     *
     * @returns {*}
     * @memberof HREmployee
     */
    firstdegree?: any;

    /**
     * 最高学历
     *
     * @returns {*}
     * @memberof HREmployee
     */
    highestdegree?: any;

    /**
     * 技术职称
     *
     * @returns {*}
     * @memberof HREmployee
     */
    technicaltitle?: any;

    /**
     * 执业证书
     *
     * @returns {*}
     * @memberof HREmployee
     */
    certificates?: any;

    /**
     * 入职渠道
     *
     * @returns {*}
     * @memberof HREmployee
     */
    entrytype?: any;

    /**
     * 入党时间
     *
     * @returns {*}
     * @memberof HREmployee
     */
    politicaltime?: any;

    /**
     * 员工状态
     *
     * @returns {*}
     * @memberof HREmployee
     */
    empstate?: any;

    /**
     * 在岗状态
     *
     * @returns {*}
     * @memberof HREmployee
     */
    jobstate?: any;

    /**
     * 籍贯
     *
     * @returns {*}
     * @memberof HREmployee
     */
    nativeplace?: any;

    /**
     * 职位标识
     *
     * @returns {*}
     * @memberof HREmployee
     */
    hrpostid?: any;

    /**
     * 职位
     *
     * @returns {*}
     * @memberof HREmployee
     */
    hrpostname?: any;

    /**
     * 职务
     *
     * @returns {*}
     * @memberof HREmployee
     */
    hrdutyname?: any;
}