/**
 * 调动申请
 *
 * @export
 * @interface HRTransferApply
 */
export interface HRTransferApply {

    /**
     * 调动申请标识
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    hrtransferapplyid?: any;

    /**
     * 调动申请名称
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    hrtransferapplyname?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    updateman?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    createdate?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    createman?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    updatedate?: any;

    /**
     * 员工标识
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    hremployeeid?: any;

    /**
     * 员工姓名
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    hremployeename?: any;

    /**
     * 部门ID
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    organizationid?: any;

    /**
     * 部门
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    organizationname?: any;

    /**
     * 职务
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    hrdutyname?: any;

    /**
     * 职位
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    hrpostname?: any;

    /**
     * 新组织ID
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    hrorganizationid2?: any;

    /**
     * 新部门
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    hrorganizationname2?: any;

    /**
     * 新职位标识
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    hrpostid2?: any;

    /**
     * 新职位
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    hrpostname2?: any;

    /**
     * 新职务
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    hrdutyname2?: any;

    /**
     * 生效日期
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    activetime?: any;

    /**
     * 任职文件
     *
     * @returns {*}
     * @memberof HRTransferApply
     */
    attachment?: any;
}